### Class

# Gimp Display

#### Description [src]

    final class Gimp.Display : GObject.Object
    {
      /* No available fields */
    }

Functions to create, delete and flush displays (views) on an image.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gimp_display_new

Create a new display for the specified image.

#### Functions

###### gimp_display_get_by_id

Returns a `GimpDisplay` representing `display_id`.

since: 3.0

###### gimp_display_id_is_valid

Returns TRUE if the display ID is valid.

since: 3.0

###### gimp_display_name

Returns the display to be used for plug-in windows.

#### Instance methods

###### gimp_display_delete

Delete the specified display.

###### gimp_display_get_id

mostly internal data and not reusable across sessions.

since: 3.0

###### gimp_display_get_window_handle

Get a handle to the native window for an image display.

since: 2.4

###### gimp_display_is_valid

Returns TRUE if the display is valid.

since: 2.4

###### gimp_display_present

Present the specified display.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gimp.Display:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpDisplayClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.